openHAB 1.8 and 2.0 beta1 Release is out!

Tags: #<Tag:0x00007fc20276e9b0>

Some of you might have already seen the precursors during the last hours and now it’s official: we kicked two releases 1.8 and 2.0 beta 1 out of the door. What this might mean for you and your migration plans can be read in Kai’s Blogpost.

This release weren’t be possible without you, the greatest Smarthome Communities ever ;-):+1: and also without the new maintainers @watou, @hakan, @steve1, @theo and @guessed. As well as @maggu2810 @davy for spending many efforts on the Apache Karaf distribution and last but not least @Kai who seem to work every single free minute to make the 2.0 beta 1 possible … THANKS!

If i forget somebody in this list, my apologies.This didn’t happen intentionally :smile:.

tl;dr: I am very happy to have you all on board and keep up the good work :+1:!

Best, Thomas E.-E.

18 Likes

If i forget somebody in this list

Yes, you forgot yourself :smiley:
I think everybody here is grateful for all your work you did for that release and especially also for the tasks that are “invisible” to most people, like taking care of our servers (demo and forum) etc. So a big THANKS to you as well :+1:

12 Likes

I just posted some info for all you developers out there, since a few things will change from now on - please read this topic and do any discussion around the new distro and IDE over there.

2 Likes

Hello everybody.

Thanks Kai for openHAB!!

I use the 1x version very long in my home automation.
For the crucial question, how I can upgrade from V1x on V2.x I still have not found an answer.

Do I need to find out for myself how I can change to 2.x or is there a Migrationsschript?

Regards Peter

Well, there is no tutorial or script because I do not ask anyone to migrate his productive OH1 installation to OH2 right now :smile:

But I have started a page for gathering the required steps: https://github.com/openhab/openhab-distro/blob/master/docs/sources/migration.md
Feel free to add further findings to this or to start building a migration script from it.

2 Likes

Thanks Kai.
I’ll fight my way through the installation. :smirk:

Peter

Just completed upgrading from v1.7.1 to v1.8.0 - with ZERO issues. Thank you all for such a great product!

.

3 Likes

I created a Synology DiskStation package for release 1.8.0:

4 Likes

Thanks @Kai and ALL of the community.
Iam planning to upgrade from 1.7 to OH2.

Iam also planning to contribute and use OH2 in the context for a south german car company.
I hope I get green lights and will get back to you @Kai

If I want to build a “commercial” product, is it correct to use ESH as base due to licencing issues?

BR + Thanks
Mehmet

1 Like

I am very much a newbie, using openHAB since 2 days now. Though i had some problems understanding the concept of “items” and having a “item-type” called “switch” which can represent a light as well as an ordinary switch - maybe would have been better to call items “entities” or “IO-units” and the item-type “switch” a “boolean” instead. I think tutorials need some rework to make this more clear - or did i again confuse something here?

But after celebrating my first success today by correctly controlling my window shutter i am quite excited about the potential of openHAB! :+1:

Updated… One issue!

All my Groups with Dimmer just stopped to work in WEB interface.
They still working for iOS App, but not in Safari, Chrome or Firefox.
When I select te group in the web browser, just stuck… and I need to reload the site do go back to main menu.
Everything else works fine… anything that could I check to give a feedback?

If you have more than one slider on a page, thet’s the issue. There are some other posts adressing this and an issue at github is already filed.

1 Like

The classic UI in 1.8.0 is completely unusable. After I click on a switch the second time all switches disappear and the UI does not react anymore (chrome). On microsoft edge the complete browser freezes and has to be killed using the task manager.

Sorry to here that! @sebastian any chance to have a look at this one?

I am trying to download 1.8 from cloudbees using this link https://openhab.ci.cloudbees.com/job/openHAB but keep getting a 404. Is this down right now of is there an updated link? Thanks.

As 1.8 is released you will find the files here: https://bintray.com/openhab/bin/openHAB/1.8.0/view#files
Cloudbees is by now only building 1.9 addons snapshots right here: https://openhab.ci.cloudbees.com/job/openHAB1-Addons/

2 Likes

Habmin is not connecting…
Does anybody know how could I try to trace this issue?
Thanx!

If update from 1.7.1 to 1.8 and it work greate. Thanks a lot. My next step is the upgrade to 2.0 if a stable build is avilable.

Edit:

The webinterface dosn’t work any more. Test it with Chrome and IE…

Good work guys!

I just updated using apt-get update & apt-get upgrade. And ran into a small problem:
My devices connected to usb didn’t work anymore.
It might be good to know that the startup script gets overriden, and custom added lines like this:
-Dgnu.io.rxtx.SerialPorts=/dev/usb_dsmr:/dev/usb_zwave
are gone.
So if you need serialports, you need to add the line again to /etc/init.d/openhab and restart the service

The right way to pass additional arguments to the jvm or openhab is to use /etc/default/openhab (this file will not be overwritten on upgrades). There are two variables JAVA_ARGS and OPENHAB_ARGS to pass extra arguments to the openhab process. Can you give it a try.

1 Like